[SOLVED] Cannot shutdown from Mate

Archived topics about LMDE 1
Forum rules
LMDE 2 support ends on 1-1-2019
Locked
Hansl
Level 3
Level 3
Posts: 103
Joined: Fri Dec 09, 2011 3:50 pm

[SOLVED] Cannot shutdown from Mate

Post by Hansl » Fri Nov 27, 2015 5:36 am

I have now upgraded a few different machines from LMDE Mate to LMDE2 Mate.
Since then, one of these I cannot shutdown anymore from within Mate through the menu: the shutdown dialog appears as usual with its five buttons, but Shutdown as well as Reboot just log me out.
In the login screen, then, the shutdown option works fine. Any ideas?

Thanks, Hans

inxi -Fxz :

Code: Select all

System:    Host: cad1 Kernel: 3.16.0-4-amd64 x86_64 (64 bit gcc: 4.8.4) Desktop: MATE 1.10.2 (Gtk 3.14.5) 
           Distro: Linux Mint Debian Edition 
Machine:   Mobo: Shuttle model: FZ68 v: 1.0 Bios: American Megatrends v: 1.04 date: 01/03/2012
CPU:       Quad core Intel Core i5-2400S (-MCP-) cache: 6144 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 19956 
           Clock Speeds: 1: 2323 MHz 2: 1735 MHz 3: 1650 MHz 4: 1897 MHz
Graphics:  Card: NVIDIA GF106GL [Quadro 2000] bus-ID: 01:00.0
           Display Server: X.Org 1.16.4 driver: nvidia Resolution: 3840x1600
           GLX Renderer: Quadro 2000D/PCIe/SSE2 GLX Version: 4.5.0 NVIDIA 355.11 Direct Rendering: Yes
Audio:     Card-1 NVIDIA GF106 High Definition Audio Controller driver: snd_hda_intel bus-ID: 01:00.1 
           Card-2 Intel 6 Series/C200 Series Family High Definition Audio Controller 
           driver: snd_hda_intel bus-ID: 00:1b.0 
           Card-3 Logitech Webcam C270 driver: USB Audio usb-ID: 005-002 
           Sound: Advanced Linux Sound Architecture v: k3.16.0-4-amd64
Network:   Card: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
           driver: r8169 v: 2.3LK-NAPI port: d000 bus-ID: 05:00.0
           IF: eth1 state: up speed: 1000 Mbps duplex: full mac: <filter>
Drives:    HDD Total Size: 370.1GB (55.9% used) ID-1: /dev/sdb model: SAMSUNG_HD252HJ size: 250.1GB
           ID-2: /dev/sda model: OCZ size: 120.0GB
Partition: ID-1: / size: 106G used: 74G (74%) fs: ext4 dev: /dev/sda1 
           ID-2: swap-1 size: 4.29GB used: 0.00GB (0%) fs: swap dev: /dev/sda2 
Sensors:   System Temperatures: cpu: 45.0C mobo: N/A gpu: 0.0:61C 
           Fan Speeds (in rpm): cpu: N/A 
Info:      Processes: 212 Uptime: 38 min Memory: 1007.9/16066.5MB Init: SysVinit runlevel: 2 Gcc sys: 4.9.2 
           Client: Shell (bash 4.3.301) inxi: 2.1.28 
Last edited by Hansl on Fri Feb 05, 2016 5:23 am, edited 1 time in total.

Monsta
Level 10
Level 10
Posts: 3011
Joined: Fri Aug 19, 2011 3:46 am

Re: Cannot shutdown from Mate

Post by Monsta » Fri Nov 27, 2015 12:52 pm

Hansl wrote:

Code: Select all

System:    Host: cad1 Kernel: 3.16.0-4-amd64 x86_64 (64 bit gcc: 4.8.4) Desktop: MATE 1.10.2 (Gtk 3.14.5) 
           Distro: Linux Mint Debian Edition 
Something went wrong. It should say "MATE 1.12.x" and "Distro: LMDE 2 Betsy".

Please post the output of:

Code: Select all

inxi -r

Code: Select all

cat /etc/apt/preferences

Code: Select all

apt policy mint-meta-debian-mate mint-meta-debian-core mint-info-debian-mate mate-desktop
P.s. by any chance, is https://github.com/mate-desktop/marco/issues/98 reported by you? :)

Hansl
Level 3
Level 3
Posts: 103
Joined: Fri Dec 09, 2011 3:50 pm

Re: Cannot shutdown from Mate

Post by Hansl » Wed Dec 02, 2015 1:54 pm

Monsta wrote:
Hansl wrote:

Code: Select all

System:    Host: cad1 Kernel: 3.16.0-4-amd64 x86_64 (64 bit gcc: 4.8.4) Desktop: MATE 1.10.2 (Gtk 3.14.5) 
           Distro: Linux Mint Debian Edition 
Something went wrong. It should say "MATE 1.12.x" and "Distro: LMDE 2 Betsy".
Ouch! I had upgraded three machines to LMDE2, strictly adhering —I thought— to http://community.linuxmint.com/tutorial/view/2013 but on this one I bungled it and forgot Step 1, to update the APT sources… embarassing…  I did so now and repeated the process which seems to have resulted in a correct LMDE2 (resolving another problem http://forums.linuxmint.com/viewtopic.p ... 8&t=210110)
Monsta wrote:Please post the output of:

Code: Select all

inxi -r

Code: Select all

cat /etc/apt/preferences

Code: Select all

apt policy mint-meta-debian-mate mint-meta-debian-core mint-info-debian-mate mate-desktop
Only mint-info-debian-mate was missing, I installed it, looks now correct to me:

Code: Select all

# inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
           deb http://packages.linuxmint.com betsy main upstream import
           deb http://http.debian.net/debian jessie main contrib non-free
           deb http://http.debian.net/debian jessie-updates main contrib non-free
           deb http://security.debian.org jessie/updates main contrib non-free
           deb http://www.deb-multimedia.org jessie main non-free
           deb http://extra.linuxmint.com betsy main 

Code: Select all

# cat /etc/apt/preferences
Package: *
Pin: release o=linuxmint
Pin-Priority: 700

Package: *
Pin: origin packages.linuxmint.com
Pin-Priority: 700

Package: *
Pin: release o=Debian
Pin-Priority: 500 

Code: Select all

# apt policy mint-meta-debian-mate mint-meta-debian-core mint-info-debian-mate mate-desktop
mint-meta-debian-mate:
  Installiert:           2015.06.29
  Installationskandidat: 2015.06.29
  Versionstabelle:
 *** 2015.06.29 0
        700 http://packages.linuxmint.com/ betsy/main amd64 Packages
        100 /var/lib/dpkg/status
mint-meta-debian-core:
  Installiert:           2015.06.29
  Installationskandidat: 2015.06.29
  Versionstabelle:
 *** 2015.06.29 0
        700 http://packages.linuxmint.com/ betsy/main amd64 Packages
        100 /var/lib/dpkg/status
mint-info-debian-mate:
  Installiert:           2015.03.19
  Installationskandidat: 2015.03.19
  Versionstabelle:
 *** 2015.03.19 0
        700 http://packages.linuxmint.com/ betsy/main amd64 Packages
        100 /var/lib/dpkg/status
mate-desktop:
  Installiert:           1.12.0-1+betsy
  Installationskandidat: 1.12.0-1+betsy
  Versionstabelle:
 *** 1.12.0-1+betsy 0
        700 http://packages.linuxmint.com/ betsy/import amd64 Packages
        100 /var/lib/dpkg/status
     1.8.1+dfsg1-3+deb8u1 0
        500 http://http.debian.net/debian/ jessie/main amd64 Packages
Unfortunately, it did not help for this shutdown problem.
Monsta wrote:P.s. by any chance, is https://github.com/mate-desktop/marco/issues/98 reported by you? :)
Yes, that's me — it seems that not only Google can track me :wink: Unfortunately, that is also not resolved; instead I found a second jumping window: Synaptic (as root)…

thanks, Hans

Hansl
Level 3
Level 3
Posts: 103
Joined: Fri Dec 09, 2011 3:50 pm

Re: Cannot shutdown from Mate

Post by Hansl » Fri Feb 05, 2016 5:22 am

Solved on a tangent — the reason of this happening was that I changed to mirror repos during upgrade! See http://forums.linuxmint.com/viewtopic.p ... 4&t=206953 .
The solution was to do sudo pam-auth-update --force . See http://forums.linuxmint.com/viewtopic.p ... 4&t=214513 for this.

Locked

Return to “LMDE 1 Archive”